# check if SE3200 folder exists, if not exists then abort
if [ -e /home/merlin2/software ]; then
	echo SE-3200 system folder found ...
	echo SE-3200 system folder found ... > /home/merlin2/usb/Datavideo/recovery/doing_install
	SECONDS=0
else
	echo SE-3200 system folder not found !
	exit 0
fi

# check if SE3200 software exists, if not exists then abort
if [ -e /home/merlin2/usb/Datavideo/software/se3200 ]; then
	echo SE-3200 software boot install from USB start ...
	echo SE-3200 software boot install from USB start ... > /home/merlin2/usb/Datavideo/recovery/doing_install
else
	echo SE-3200 software in USB not found !
	exit 0
fi


# copy software files
##############
cp -f /home/merlin2/usb/Datavideo/software/se3200/*  /home/merlin2/software/current

sync

rm /home/merlin2/usb/Datavideo/recovery/doing_install
let sec=$SECONDS
echo -e "SE-3200 USB Boot Install v1.00 : Time $sec sec ($total)\r" >> /home/merlin2/usb/Datavideo/recovery/time_record.log
sync

echo Restore finished... $sec sec \($total\)
